###

#

homogeneous_color_base< Element, Layout, 2 > Struct Template Reference
ColorBase » Models » detail::homogeneous_color_base

A homogeneous color base holding two color elements Models HomogeneousColorBaseConcept or HomogeneousColorBaseValueConcept. More...

`#include <color_base.hpp>`

## Public Types

using | layout_t = Layout

## Public Member Functions

| homogeneous_color_base (Element v)
| homogeneous_color_base (Element v0, Element v1)
template<typename E2 , typename L2 >
| homogeneous_color_base (homogeneous_color_base< E2, L2, 2 > const &c)
template<typename E2 , typename L2 >
| homogeneous_color_base (homogeneous_color_base< E2, L2, 2 > &c)
template<typename P >
| homogeneous_color_base (P *p, bool)
template<typename Ptr >
| homogeneous_color_base (Ptr const &ptr, std::ptrdiff_t diff)
template<typename Ref >
Ref | deref () const
auto | at (std::integral_constant< int, 0 >) -> typename element_reference_type< homogeneous_color_base >::type
auto | at (std::integral_constant< int, 0 >) const -> typename element_const_reference_type< homogeneous_color_base >::type
auto | at (std::integral_constant< int, 1 >) -> typename element_reference_type< homogeneous_color_base >::type
auto | at (std::integral_constant< int, 1 >) const -> typename element_const_reference_type< homogeneous_color_base >::type
Element | at_c_dynamic (std::size_t i) const

## Detailed Description

### template<typename Element, typename Layout>
struct boost::gil::detail::homogeneous_color_base< Element, Layout, 2 >

A homogeneous color base holding two color elements Models HomogeneousColorBaseConcept or HomogeneousColorBaseValueConcept.

The documentation for this struct was generated from the following file:

- color_base.hpp